import { IoTClient, DescribeEndpointCommand } from "@aws-sdk/client-iot";
import { Context } from "@serverless-stack/lambda/context";
import { useAWSClient } from "../credentials";
export const useEndpoint = Context.memo(async () => {
    const iot = await useAWSClient(IoTClient);
    const response = await iot.send(new DescribeEndpointCommand({
        endpointType: "Data-ATS"
    }));
    return response;
});
